Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_contains

## Name

librdf_list_contains -- check for presence of data item in list

## Synopsis

``int `librdf_list_contains`` (librdf_list* `list`, void * `data`);`

## Arguments

`list`

  librdf_list object

`data`

  the data value

## Description

The search is done using the 'equals' function which may be set by `librdf_list_set_equals` or by straight comparison of pointers if not set.

## Return value

non 0 if item was found

<<< Previous | Home | Next >>>
librdf_list_pop | Up | librdf_list_size